Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe
Class TestTool.Options

    java.lang.Object
      javafe.Options
          javafe.SrcToolOptions
              javafe.TestTool.Options

Enclosing class:
  TestTool

public class TestTool.Options
extends SrcToolOptions

Field Summary
`boolean` | `chaseSuperclasses` Should we chase superclass pointers?

Fields inherited from class javafe.SrcToolOptions
`allowAvoidSpec, allowDepend, avoidSpec, processRecursively`

Fields inherited from class javafe.Options
`assertionsEnabled, assertIsKeyword, currentdir, eol, fileOrigin, inputEntries, issueUsage, NEVER_BINARY, NEVER_SOURCE, noCautions, PREFER_BINARY, PREFER_RECENT, PREFER_SOURCE, privateOptionData, publicOptionData, quiet, showErrorLocation, sysPath, testMode, userPath, userSourcePath, v`

Constructor Summary
`TestTool.Options()`

Method Summary
`int` | `processOption(java.lang.String option, java.lang.String[] args, int offset)` Process next tool option.
`java.lang.String` | `showOptions(boolean all)` Print option information to `System.err`.

Methods inherited from class javafe.SrcToolOptions
`showNonOptions`

Methods inherited from class javafe.Options
`checkMoreArguments, format, processFileOfArgs, processOptions, processOptionsLoop, showOptionArray, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chaseSuperclasses

    public boolean chaseSuperclasses

  Should we chase superclass pointers? Defaults to no, set by `-superclasses`.

Constructor Detail

### TestTool.Options

    public TestTool.Options()

Method Detail

### showOptions

    public java.lang.String showOptions(boolean all)

  Print option information to `System.err`. Each printed line should be preceeded by two blank spaces.

  Each overriding method should first call `super.showOptions()`.

  Overrides:
    `showOptions` in class `SrcToolOptions`

### processOption

    public int processOption(java.lang.String option,
                             java.lang.String[] args,
                             int offset)
                      throws UsageError

  Process next tool option.

  See `Tool.processOption` for the complete specification of this routine.

  This routine handles the `-superclasses` option.

  Overrides:
    `processOption` in class `SrcToolOptions`
  Throws:
    `UsageError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage